know_ext_name = ['.jpg', '.mp4', '.png', '.mov', '.txt', '.jpeg', '.m4v', '.flv', '.url', '.db', '.avi', '.mkv', '.bmp',
                 '.ini', '.doc', '.docx', '.ogg', '.wmv', '.gif', '.ts', '.mts', '.iso', '.mpg', '.webp', '.heic',
                 '.livp', '.ppt', '.mp3', '.htm', '.jfif', '.webm', '.3gp', '.m4a', '.rmvb', '.rm', '.asf', '.f4v',
                 '.mpeg', '.torrent', '.tiff', '.wav', '.vob', '.cr2', '.CR2', '.srt', '.apk']

handle_zip_ext_name = ['.zip', '.7z', '.001', '.rar', '.tar', '.wim']

know_zip_ext_name = ['.zip', '.z01', '.z02', '.z03', '.z04', '.z05', '.z06', '.z07', '.z08', '.z09', '.z10', '.z11',
                     '.z12', '.z13', '.z14', '.z15', '.z16', '.z17', '.z18', '.z19', '.z20', '.7z', '.001', '.002',
                     '.003', '.004', '.005', '.006', '.007', '.008', '.009', '.010', '.011', '.012', '.013', '.014',
                     '.015', '.016', '.017', '.018', '.019', '.020', '.rar', '.tar', '.wim']

re_ext_list_7z = r'\.7z\.\d{2,3}'

re_ext_list = {'.7z': r'(\.7z.+?$)',
               '.rar': r'(\.rar.+?$)',
               '.zip': r'(\.zip.+?$)',
               }

clear_list = {
    'file_name': ['ds_store'],
    'ext_name': ['.ds_store', '.ini', '.html', '.co', '.torrent', '.js', '.downloading', '.lnk', '.txt', '.htm', '.xltd', '.url', '.srt', '.apk'],
}

pwd_dict = {
    '福利大吧': ['福利大吧@fulidaba00(1.2.3.N).com'],
    '2048jp.com': ['https://2048jp.com/', 'https://2048jp.com'],
    'fulibl.net': ['fulibl.com', 'fulibl.cc', 'fulibl.net'],
    'vrzydh.com或vrpyf.com或vrkefu@outlook.com': ['vrzydh.com', 'vrpyf.com', 'vrkefu@outlook.com'],
    'fulizifanji.club 或者fulizifanji.xyz': ['fulizifanji.club', 'fulizifanji.xyz'],
    'fulizifanji.club或者fulizifanji.xyz': ['fulizifanji.club', 'fulizifanji.xyz']
}

special_symbols = {'==1==': '<',
                   '==2==': '>',
                   '==3==': '|',
                   '==4==': '*',
                   '==5==': '?',
                   '==6==': '/',
                   '==7==': '\\',
                   '==8==': ':',
                   '==9==': "'",
                   '==10==': '"',
                   }

escape_list = [('&amp;', '&'), ('&quot;', '"'), ('&lt;', '<'), ('&gt;', '>'), ('&nbsp;', ' ')]

check_size = {'.mp3': '.zip', }

ext_name_list = {'.7': '.7z',
                 '.7z111': '.7z',
                 '.7z12': '.7z',
                 '.77': '.7z',
                 '.pdf': '.rar',
                 '.psd': '.rar',
                 '.ra': '.rar',
                 '.zi': '.zip',
                 '.77z': '.7z',
                 '.777': '.7z',
                 '': '.zip',
                 '.7tar': '.7z',
                 '.abc1': '.7z',
                 '.abc2': '.7z',
                 '.abc3': '.7z',
                 '.tex': '.7z',
                 '.mp41': '.mp4',
                 '.avi1': '.avi',
                 '.tif': '.zip',
                 '.lzh': '.zip',
                 '.下载后改成rar': '.rar',
                 '.c': '.zip',
                 '.word': '.rar',
                 '.7删除z': '.7z',
                 '.7z1': '.7z',
                 '.7z删除': '.7z',
                 '.7z(1)': '.7z',
                 '.zip删除': '.zip',
                 '.rar删除': '.rar',
                 '.001删除': '.001',
                 '.7z删除汉字再解压一次': '.7z',
                 '.7z删除中文': '.7z',
                 '.7删z': '.7z',
                 '.downloading': '.7z',
                 }
